Skip to main content
post/v2/dlq/retry/{dlqId}
Request example
Response
post/v2/dlq/retry/{dlqId}

When a DLQ message is retried, a new message with the same body and headers is created and scheduled for delivery. The original DLQ message is then removed from the DLQ.

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

dlqIdstringrequired#
The DLQ ID of the message you want to retry.

Headers

Upstash-Methodenum<string>#
Override the HTTP method used to deliver each retried message.
Options:GETPOSTPUTPATCHDELETE
Upstash-Timeoutstring#
Override the delivery timeout for each retried message, such as 30s or 2m.
Upstash-Retriesinteger#
Override the number of delivery retries for each retried message. Use 0 to disable retries.
Upstash-Retry-Delaystring#
Override the retry delay expression for each retried message.
Upstash-Delaystring#
Delay each retried message's delivery. Format is <value><unit>, such as 10s or 5m.
Upstash-Not-Beforeinteger#
Delay delivery until this Unix timestamp in seconds. Takes precedence over Upstash-Delay.
Upstash-Labelstring#
Override the labels on each retried message. Use a comma-separated list for multiple labels.
Upstash-Flow-Control-Keystring#
Override the flow control key for each retried message. Set Upstash-Flow-Control-Value to define its limits.
Upstash-Flow-Control-Valuestring#
Override the flow control limits in the format parallelism=<value>, rate=<value>, period=<value>.
Upstash-Callbackstring#
Override the success or failure callback URL for each retried message.
Upstash-Failure-Callbackstring#
Override the failure callback URL for each retried message.

Responses

application/json
Message retry initiated successfully
messageIdstring#
Unique identifier for the published message or the old message ID if deduplicated
deduplicatedboolean#
Whether this message is a duplicate and was not sent to the destination.